Skip to main content

Workspace Permission Assignments

View as Markdown

WorkspacePermissionAssignmentOutput object

The output format for existing workspace PermissionAssignment records, which contains some info for user consumption.

principalobject

Information about the principal assigned to the workspace.

Show child attributesHide child attributes
user_namestring

The username of the user. Present only if the principal is a user.

group_namestring

The group name of the group. Present only if the principal is a group.

service_principal_namestring

The name of the service principal. Present only if the principal is a service principal.

principal_idint64

The unique, opaque id of the principal.

display_namestring

The display name of the principal.

permissionsarray of string

The permissions level of the principal.

Values:

  • UNKNOWN
  • USER
  • ADMIN
errorstring

Error response associated with a workspace permission assignment, if any.

Get permission assignments GA

GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments

Get the permission assignments for the specified <Account> and <Workspace>.

API scopes: access-management

Parameters

account_idstringRequiredpath

The account ID.

workspace_idint64Requiredpath

The workspace ID for the account.

Response

Returns a list of WorkspacePermissionAssignmentOutput objects.

Delete permissions assignment GA

DELETE /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments/principals/{principal_id}

Deletes the workspace permissions assignment in a given account and workspace for the specified principal.

API scopes: access-management

Parameters

account_idstringRequiredpath

The account ID.

workspace_idint64Requiredpath

The workspace ID for the account.

principal_idint64Requiredpath

The ID of the user, service principal, or group.

Create or update permissions assignment GA

PUT /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments/principals/{principal_id}

Creates or updates the workspace permissions assignment in a given account and workspace for the specified principal.

API scopes: access-management

Parameters

account_idstringRequiredpath

The account ID.

workspace_idint64Requiredpath

The workspace ID.

principal_idint64Requiredpath

The ID of the user, service principal, or group.

Request body

permissionsarray of string

Array of permissions assignments to update on the workspace. Valid values are "USER" and "ADMIN" (case-sensitive). If both "USER" and "ADMIN" are provided, "ADMIN" takes precedence. Other values will be ignored. Note that excluding this field, or providing unsupported values, will have the same effect as providing an empty list, which will result in the deletion of all permissions for the principal.

Values:

  • UNKNOWN
  • USER
  • ADMIN

Response

Returns the WorkspacePermissionAssignmentOutput object.

List workspace permissions GA

GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments/permissions

Get an array of workspace permissions for the specified account and workspace.

API scopes: access-management

Parameters

account_idstringRequiredpath

The account ID.

workspace_idint64Requiredpath

The workspace ID.

Response

permissionsarray of object

Array of permissions defined for a workspace.

Show child attributesHide child attributes
permission_levelstring

Values:

  • UNKNOWN
  • USER
  • ADMIN
descriptionstring

The results of a permissions query.